Unable to copy package for zesty

Asked by VinsS on 2017-05-14

Into my ppa[0], I try to copy a package to zesty but I get this error:

"Launchpad encountered an error during the following operation: copying package py3exiv2. py3exiv2 0.2.0-0ubuntu4 in yakkety (same version already has published binaries in the destination archive)"

I've re-try and I'm sure I've selected the serie zesty into the combobox but, anyway, I get always the same error.

[0] https://launchpad.net/~vincent-vandevyvre/+archive/ubuntu/vvv/

Question information

Language:
English Edit question
Status:
Solved
For:
Launchpad itself Edit question
Assignee:
No assignee Edit question
Solved by:
William Grant
Solved:
2017-05-15
Last query:
2017-05-15
Last reply:
2017-05-15
Best William Grant (wgrant) said : #1

Make sure you select "Copy existing binaries" rather than "Rebuild the copied sources" when you're copying within a PPA. Rebuilding would cause different binaries with the same version to be created, which isn't allowed within a single PPA.

VinsS (vincent-vandevyvre) said : #2

Thanks William Grant, that solved my question.